--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns detailed human readable string representation of the query
- !ruby/struct:SM::Flow::P 
  body: "@return [String] detailed string representation of the query"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Query#inspect
is_singleton: false
name: inspect
params: ()
visibility: public
